"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const input_1 = __importDefault(require("@inquirer/input"));
const chalk_1 = __importDefault(require("chalk"));
const ansi_escapes_1 = __importDefault(require("ansi-escapes"));
const password = (config, context) => {
    if ('transformer' in config) {
        throw new Error('Inquirer password prompt do not support custom transformer function. Use the input prompt instead.');
    }
    return (0, input_1.default)(Object.assign(Object.assign({}, config), { default: undefined, transformer(str, { isFinal }) {
            if (config.mask) {
                const maskChar = typeof config.mask === 'string' ? config.mask : '*';
                return maskChar.repeat(str.length);
            }
            if (!isFinal) {
                return `${chalk_1.default.dim('[input is masked]')}${ansi_escapes_1.default.cursorHide}`;
            }
            return '';
        } }), context);
};
exports.default = password;
