import input from '@inquirer/input';
import chalk from 'chalk';
import ansiEscapes from 'ansi-escapes';
const password = (config, context) => {
    if ('transformer' in config) {
        throw new Error('Inquirer password prompt do not support custom transformer function. Use the input prompt instead.');
    }
    return input({
        ...config,
        default: undefined,
        transformer(str, { isFinal }) {
            if (config.mask) {
                const maskChar = typeof config.mask === 'string' ? config.mask : '*';
                return maskChar.repeat(str.length);
            }
            if (!isFinal) {
                return `${chalk.dim('[input is masked]')}${ansiEscapes.cursorHide}`;
            }
            return '';
        },
    }, context);
};
export default password;
